Subject: Re: bug#75056: 31.0.50; tty-child-frames with server / multiple clients possible hangs

From: Gerd Möllmann <[email-masked]>
Date: Thu, 30 Jan 2025 08:04:14 +0100

Len Trigg <[email-masked]> writes:

> I just rebuilt from master and tested it out with my two tty terminals. We do still have the original
> problem where the second tty child frame reappears when focus is switched to the other terminal,
> blocking that other terminal. Given the discussion about cursor setting, note that when the tty child
> frame reappears on the deselected terminal, the cursor in the selected/focused terminal is drawn at the
> coordinates corresponding to where the tty child frame is in the deselected terminal (not sure if that
> has always been the case).

Thanks.

I still think this is related to the mini_frame thing we had some days
ago: the mini_frame that was invisible and was displayed nevertheless,
which lead to an assertion with checking enabled, and a SEGV without.

What I added to combined_updates_for_frame must be considered a
workaround to let it not crash. That is lands there with an invisible
frame is the bug that should be investigated.

Nothing for me though, I*m afraid.